# eoGnuplot1DMonitor Class Reference

Plot eoStat. More...

`#include <eoGnuplot1DMonitor.h>`

Inheritance diagram for eoGnuplot1DMonitor:

List of all members.

## Public Member Functions

| eoGnuplot1DMonitor (std::string _filename, bool _top=false)
| Constructor.
virtual | ~eoGnuplot1DMonitor ()
| Destructor.
virtual eoMonitor & | operator() ()
| The pure virtual function that needs to be implemented by the subclass.
virtual void | FirstPlot ()
virtual std::string | className () const
| Class name.

## Detailed Description

Plot eoStat.

Author:
  Marc Schoenauer

Version:
  0.0 (2000)

This class plots through gnuplot the eoStat given as argument

eoGnuplot1DMonitor plots stats through gnuplot

Assumes that the same file is appened every so and so, and replots it everytime

Definition at line 47 of file eoGnuplot1DMonitor.h.

The documentation for this class was generated from the following files:

- eoGnuplot1DMonitor.h
- eoGnuplot1DMonitor.cpp